# $window-depth(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$window-depth - Number of text lines in a window
$window-width - Number of character columns in a window

## SYNOPSIS

$window-depth integer

1 <= integer <= $frame-depth

$window-width integer

0 <= integer <= $frame-width - 1

## DESCRIPTION

$window-depth returns the depth (height) of the current window, excluding the mode line, specified in text lines. (i.e. the number of lines of text in the window). The returned value is an integer in the range:

0 - ( $frame-depth - 3 )

$window-width returns the width, in characters, of the current window. The returned value is an integer in the range:

0 - $frame-width.

## NOTES

These variables can not be set, any attempt to set them results in an error.

## SEE ALSO

$frame-depth(5), $frame-width(5), $window-scroll-bar(5), $window-mode-line(5),

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>